Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/conf_gcm.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/conf_gcm.F90	(revision 5116)
@@ -102,6 +102,6 @@
   ! adjust=y not implemented in case of OpenMP threads...
   !$OMP PARALLEL
-  IF ((OMP_GET_NUM_THREADS()>1).and.adjust) then
-     write(lunout,*)'conf_gcm: Error, adjust should be set to n' &
+  IF ((OMP_GET_NUM_THREADS()>1).and.adjust) THEN
+     WRITE(lunout,*)'conf_gcm: Error, adjust should be set to n' &
           ,' when running with OpenMP threads'
      abort_message = 'Wrong value for adjust'
@@ -436,5 +436,5 @@
   !     .........   (  modif  le 17/04/96 )   .........
 
-  test_etatinit: IF (.not. etatinit) then
+  test_etatinit: IF (.not. etatinit) THEN
      !Config  Key  = clon
      !Config  Desc = centre du zoom, longitude
@@ -454,5 +454,5 @@
 
      IF( ABS(clat - clatt)>= 0.001 )  THEN
-        write(lunout,*)'conf_gcm: La valeur de clat passee par run.def', &
+        WRITE(lunout,*)'conf_gcm: La valeur de clat passee par run.def', &
              ' est differente de celle lue sur le fichier  start '
         CALL abort_gcm("conf_gcm","stopped",1)
@@ -468,5 +468,5 @@
 
      IF( ABS(grossismx - grossismxx)>= 0.001 )  THEN
-        write(lunout,*)'conf_gcm: La valeur de grossismx passee par ', &
+        WRITE(lunout,*)'conf_gcm: La valeur de grossismx passee par ', &
              'run.def est differente de celle lue sur le fichier  start '
         CALL abort_gcm("conf_gcm","stopped",1)
@@ -482,5 +482,5 @@
 
      IF( ABS(grossismy - grossismyy)>= 0.001 )  THEN
-        write(lunout,*)'conf_gcm: La valeur de grossismy passee par ', &
+        WRITE(lunout,*)'conf_gcm: La valeur de grossismy passee par ', &
              'run.def est differente de celle lue sur le fichier  start '
         CALL abort_gcm("conf_gcm","stopped",1)
@@ -488,5 +488,5 @@
 
      IF( grossismx<1. )  THEN
-        write(lunout,*) &
+        WRITE(lunout,*) &
              'conf_gcm: ***  ATTENTION !! grossismx < 1 .   *** '
         CALL abort_gcm("conf_gcm","stopped",1)
@@ -496,5 +496,5 @@
 
      IF( grossismy<1. )  THEN
-        write(lunout,*) &
+        WRITE(lunout,*) &
              'conf_gcm: ***  ATTENTION !! grossismy < 1 .   *** '
         CALL abort_gcm("conf_gcm","stopped",1)
@@ -503,5 +503,5 @@
      ENDIF
 
-     write(lunout,*)'conf_gcm: alphax alphay',alphax,alphay
+     WRITE(lunout,*)'conf_gcm: alphax alphay',alphax,alphay
 
      !    alphax et alphay sont les anciennes formulat. des grossissements
@@ -517,6 +517,6 @@
      IF( .NOT.fxyhypb )  THEN
         IF( fxyhypbb )     THEN
-           write(lunout,*)' ********  PBS DANS  CONF_GCM  ******** '
-           write(lunout,*)' *** fxyhypb lu sur le fichier start est ', &
+           WRITE(lunout,*)' ********  PBS DANS  CONF_GCM  ******** '
+           WRITE(lunout,*)' *** fxyhypb lu sur le fichier start est ', &
                 'F alors  qu il est  T  sur  run.def  ***'
            CALL abort_gcm("conf_gcm","stopped",1)
@@ -524,6 +524,6 @@
      ELSE
         IF( .NOT.fxyhypbb )   THEN
-           write(lunout,*)' ********  PBS DANS  CONF_GCM  ******** '
-           write(lunout,*)' ***  fxyhypb lu sur le fichier start est ', &
+           WRITE(lunout,*)' ********  PBS DANS  CONF_GCM  ******** '
+           WRITE(lunout,*)' ***  fxyhypb lu sur le fichier start est ', &
                 'T alors  qu il est  F  sur  run.def  ****  '
            CALL abort_gcm("conf_gcm","stopped",1)
@@ -541,5 +541,5 @@
      IF( fxyhypb )  THEN
         IF( ABS(dzoomx - dzoomxx)>= 0.001 )  THEN
-           write(lunout,*)'conf_gcm: La valeur de dzoomx passee par ', &
+           WRITE(lunout,*)'conf_gcm: La valeur de dzoomx passee par ', &
                 'run.def est differente de celle lue sur le fichier  start '
            CALL abort_gcm("conf_gcm","stopped",1)
@@ -557,5 +557,5 @@
      IF( fxyhypb )  THEN
         IF( ABS(dzoomy - dzoomyy)>= 0.001 )  THEN
-           write(lunout,*)'conf_gcm: La valeur de dzoomy passee par ', &
+           WRITE(lunout,*)'conf_gcm: La valeur de dzoomy passee par ', &
                 'run.def est differente de celle lue sur le fichier  start '
            CALL abort_gcm("conf_gcm","stopped",1)
@@ -572,5 +572,5 @@
      IF( fxyhypb )  THEN
         IF( ABS(taux - tauxx)>= 0.001 )  THEN
-           write(lunout,*)'conf_gcm: La valeur de taux passee par ', &
+           WRITE(lunout,*)'conf_gcm: La valeur de taux passee par ', &
                 'run.def est differente de celle lue sur le fichier  start '
            CALL abort_gcm("conf_gcm","stopped",1)
@@ -587,5 +587,5 @@
      IF( fxyhypb )  THEN
         IF( ABS(tauy - tauyy)>= 0.001 )  THEN
-           write(lunout,*)'conf_gcm: La valeur de tauy passee par ', &
+           WRITE(lunout,*)'conf_gcm: La valeur de tauy passee par ', &
                 'run.def est differente de celle lue sur le fichier  start '
         CALL abort_gcm("conf_gcm","stopped",1)
@@ -607,6 +607,6 @@
         IF( .NOT.ysinus )  THEN
            IF( ysinuss )     THEN
-              write(lunout,*)' ********  PBS DANS  CONF_GCM  ******** '
-              write(lunout,*)' *** ysinus lu sur le fichier start est F', &
+              WRITE(lunout,*)' ********  PBS DANS  CONF_GCM  ******** '
+              WRITE(lunout,*)' *** ysinus lu sur le fichier start est F', &
                    ' alors  qu il est  T  sur  run.def  ***'
               CALL abort_gcm("conf_gcm","stopped",1)
@@ -614,6 +614,6 @@
         ELSE
            IF( .NOT.ysinuss )   THEN
-              write(lunout,*)' ********  PBS DANS  CONF_GCM  ******** '
-              write(lunout,*)' *** ysinus lu sur le fichier start est T', &
+              WRITE(lunout,*)' ********  PBS DANS  CONF_GCM  ******** '
+              WRITE(lunout,*)' *** ysinus lu sur le fichier start est T', &
                    ' alors  qu il est  F  sur  run.def  ****  '
               CALL abort_gcm("conf_gcm","stopped",1)
@@ -697,48 +697,48 @@
      CALL getin('ok_dyn_xios',ok_dyn_xios) 
 
-     write(lunout,*)' #########################################'
-     write(lunout,*)' Configuration des parametres du gcm: '
-     write(lunout,*)' planet_type = ', planet_type
-     write(lunout,*)' calend = ', calend
-     write(lunout,*)' dayref = ', dayref
-     write(lunout,*)' anneeref = ', anneeref
-     write(lunout,*)' nday = ', nday
-     write(lunout,*)' day_step = ', day_step
-     write(lunout,*)' iperiod = ', iperiod
-     write(lunout,*)' nsplit_phys = ', nsplit_phys
-     write(lunout,*)' iconser = ', iconser
-     write(lunout,*)' iecri = ', iecri
-     write(lunout,*)' periodav = ', periodav 
-     write(lunout,*)' output_grads_dyn = ', output_grads_dyn
-     write(lunout,*)' dissip_period = ', dissip_period
-     write(lunout,*)' lstardis = ', lstardis
-     write(lunout,*)' nitergdiv = ', nitergdiv
-     write(lunout,*)' nitergrot = ', nitergrot
-     write(lunout,*)' niterh = ', niterh
-     write(lunout,*)' tetagdiv = ', tetagdiv
-     write(lunout,*)' tetagrot = ', tetagrot
-     write(lunout,*)' tetatemp = ', tetatemp
-     write(lunout,*)' coefdis = ', coefdis
-     write(lunout,*)' purmats = ', purmats
-     write(lunout,*)' read_start = ', read_start
-     write(lunout,*)' iflag_phys = ', iflag_phys
-     write(lunout,*)' iphysiq = ', iphysiq
-     write(lunout,*)' clonn = ', clonn 
-     write(lunout,*)' clatt = ', clatt
-     write(lunout,*)' grossismx = ', grossismx
-     write(lunout,*)' grossismy = ', grossismy
-     write(lunout,*)' fxyhypbb = ', fxyhypbb
-     write(lunout,*)' dzoomxx = ', dzoomxx
-     write(lunout,*)' dzoomy = ', dzoomyy
-     write(lunout,*)' tauxx = ', tauxx
-     write(lunout,*)' tauyy = ', tauyy
-     write(lunout,*)' offline = ', offline
-     write(lunout,*)' offline_time = ', offline_time
-     write(lunout,*)' type_trac = ', type_trac
-     write(lunout,*)' ok_dynzon = ', ok_dynzon 
-     write(lunout,*)' ok_dyn_ins = ', ok_dyn_ins 
-     write(lunout,*)' ok_dyn_ave = ', ok_dyn_ave 
-     write(lunout,*)' ok_dyn_xios = ', ok_dyn_xios 
-     write(lunout,*)' adv_qsat_liq = ', adv_qsat_liq
+     WRITE(lunout,*)' #########################################'
+     WRITE(lunout,*)' Configuration des parametres du gcm: '
+     WRITE(lunout,*)' planet_type = ', planet_type
+     WRITE(lunout,*)' calend = ', calend
+     WRITE(lunout,*)' dayref = ', dayref
+     WRITE(lunout,*)' anneeref = ', anneeref
+     WRITE(lunout,*)' nday = ', nday
+     WRITE(lunout,*)' day_step = ', day_step
+     WRITE(lunout,*)' iperiod = ', iperiod
+     WRITE(lunout,*)' nsplit_phys = ', nsplit_phys
+     WRITE(lunout,*)' iconser = ', iconser
+     WRITE(lunout,*)' iecri = ', iecri
+     WRITE(lunout,*)' periodav = ', periodav
+     WRITE(lunout,*)' output_grads_dyn = ', output_grads_dyn
+     WRITE(lunout,*)' dissip_period = ', dissip_period
+     WRITE(lunout,*)' lstardis = ', lstardis
+     WRITE(lunout,*)' nitergdiv = ', nitergdiv
+     WRITE(lunout,*)' nitergrot = ', nitergrot
+     WRITE(lunout,*)' niterh = ', niterh
+     WRITE(lunout,*)' tetagdiv = ', tetagdiv
+     WRITE(lunout,*)' tetagrot = ', tetagrot
+     WRITE(lunout,*)' tetatemp = ', tetatemp
+     WRITE(lunout,*)' coefdis = ', coefdis
+     WRITE(lunout,*)' purmats = ', purmats
+     WRITE(lunout,*)' read_start = ', read_start
+     WRITE(lunout,*)' iflag_phys = ', iflag_phys
+     WRITE(lunout,*)' iphysiq = ', iphysiq
+     WRITE(lunout,*)' clonn = ', clonn
+     WRITE(lunout,*)' clatt = ', clatt
+     WRITE(lunout,*)' grossismx = ', grossismx
+     WRITE(lunout,*)' grossismy = ', grossismy
+     WRITE(lunout,*)' fxyhypbb = ', fxyhypbb
+     WRITE(lunout,*)' dzoomxx = ', dzoomxx
+     WRITE(lunout,*)' dzoomy = ', dzoomyy
+     WRITE(lunout,*)' tauxx = ', tauxx
+     WRITE(lunout,*)' tauyy = ', tauyy
+     WRITE(lunout,*)' offline = ', offline
+     WRITE(lunout,*)' offline_time = ', offline_time
+     WRITE(lunout,*)' type_trac = ', type_trac
+     WRITE(lunout,*)' ok_dynzon = ', ok_dynzon
+     WRITE(lunout,*)' ok_dyn_ins = ', ok_dyn_ins
+     WRITE(lunout,*)' ok_dyn_ave = ', ok_dyn_ave
+     WRITE(lunout,*)' ok_dyn_xios = ', ok_dyn_xios
+     WRITE(lunout,*)' adv_qsat_liq = ', adv_qsat_liq
   else
      !Config  Key  = clon
@@ -775,5 +775,5 @@
 
      IF( grossismx<1. )  THEN
-        write(lunout,*) 'conf_gcm: ***ATTENTION !! grossismx < 1 . *** '
+        WRITE(lunout,*) 'conf_gcm: ***ATTENTION !! grossismx < 1 . *** '
         CALL abort_gcm("conf_gcm","stopped",1)
      ELSE
@@ -782,5 +782,5 @@
 
      IF( grossismy<1. )  THEN
-        write(lunout,*) 'conf_gcm: ***ATTENTION !! grossismy < 1 . *** '
+        WRITE(lunout,*) 'conf_gcm: ***ATTENTION !! grossismy < 1 . *** '
         CALL abort_gcm("conf_gcm","stopped",1)
      ELSE
@@ -788,5 +788,5 @@
      ENDIF
 
-     write(lunout,*) 'conf_gcm: alphax alphay ',alphax,alphay
+     WRITE(lunout,*) 'conf_gcm: alphax alphay ',alphax,alphay
 
      !    alphax et alphay sont les anciennes formulat. des grossissements
@@ -907,6 +907,6 @@
      CALL getin('use_filtre_fft',use_filtre_fft)
      IF (use_filtre_fft .AND. grossismx /= 1.0) THEN
-        write(lunout,*)'WARNING !!! '
-        write(lunout,*)"A zoom in longitude is not compatible", &
+        WRITE(lunout,*)'WARNING !!! '
+        WRITE(lunout,*)"A zoom in longitude is not compatible", &
              " with the FFT filter ", &
              "---> FFT filter deactivated"
@@ -970,53 +970,53 @@
      CALL getin('read_orop',read_orop)
 
-     write(lunout,*)' #########################################'
-     write(lunout,*)' Configuration des parametres de cel0_limit: '
-     write(lunout,*)' planet_type = ', planet_type
-     write(lunout,*)' calend = ', calend
-     write(lunout,*)' dayref = ', dayref
-     write(lunout,*)' anneeref = ', anneeref
-     write(lunout,*)' nday = ', nday
-     write(lunout,*)' day_step = ', day_step
-     write(lunout,*)' iperiod = ', iperiod
-     write(lunout,*)' iconser = ', iconser
-     write(lunout,*)' iecri = ', iecri
-     write(lunout,*)' periodav = ', periodav 
-     write(lunout,*)' output_grads_dyn = ', output_grads_dyn
-     write(lunout,*)' dissip_period = ', dissip_period
-     write(lunout,*)' lstardis = ', lstardis
-     write(lunout,*)' nitergdiv = ', nitergdiv
-     write(lunout,*)' nitergrot = ', nitergrot
-     write(lunout,*)' niterh = ', niterh
-     write(lunout,*)' tetagdiv = ', tetagdiv
-     write(lunout,*)' tetagrot = ', tetagrot
-     write(lunout,*)' tetatemp = ', tetatemp
-     write(lunout,*)' coefdis = ', coefdis
-     write(lunout,*)' purmats = ', purmats
-     write(lunout,*)' read_start = ', read_start
-     write(lunout,*)' iflag_phys = ', iflag_phys
-     write(lunout,*)' iphysiq = ', iphysiq
-     write(lunout,*)' clon = ', clon
-     write(lunout,*)' clat = ', clat
-     write(lunout,*)' grossismx = ', grossismx
-     write(lunout,*)' grossismy = ', grossismy
-     write(lunout,*)' fxyhypb = ', fxyhypb
-     write(lunout,*)' dzoomx = ', dzoomx
-     write(lunout,*)' dzoomy = ', dzoomy
-     write(lunout,*)' taux = ', taux
-     write(lunout,*)' tauy = ', tauy
-     write(lunout,*)' offline = ', offline
-     write(lunout,*)' type_trac = ', type_trac
-     write(lunout,*)' ok_dynzon = ', ok_dynzon
-     write(lunout,*)' ok_dyn_ins = ', ok_dyn_ins 
-     write(lunout,*)' ok_dyn_ave = ', ok_dyn_ave 
-     write(lunout,*)' ok_dyn_xios = ', ok_dyn_xios 
-     write(lunout,*)' use_filtre_fft = ', use_filtre_fft
-     write(lunout,*)' use_mpi_alloc = ', use_mpi_alloc
-     write(lunout,*)' ok_strato = ', ok_strato
-     write(lunout,*)' ok_gradsfile = ', ok_gradsfile
-     write(lunout,*)' ok_limit = ', ok_limit
-     write(lunout,*)' ok_etat0 = ', ok_etat0
-     write(lunout,*)' ok_guide = ', ok_guide
-     write(lunout,*)' read_orop = ', read_orop
+     WRITE(lunout,*)' #########################################'
+     WRITE(lunout,*)' Configuration des parametres de cel0_limit: '
+     WRITE(lunout,*)' planet_type = ', planet_type
+     WRITE(lunout,*)' calend = ', calend
+     WRITE(lunout,*)' dayref = ', dayref
+     WRITE(lunout,*)' anneeref = ', anneeref
+     WRITE(lunout,*)' nday = ', nday
+     WRITE(lunout,*)' day_step = ', day_step
+     WRITE(lunout,*)' iperiod = ', iperiod
+     WRITE(lunout,*)' iconser = ', iconser
+     WRITE(lunout,*)' iecri = ', iecri
+     WRITE(lunout,*)' periodav = ', periodav
+     WRITE(lunout,*)' output_grads_dyn = ', output_grads_dyn
+     WRITE(lunout,*)' dissip_period = ', dissip_period
+     WRITE(lunout,*)' lstardis = ', lstardis
+     WRITE(lunout,*)' nitergdiv = ', nitergdiv
+     WRITE(lunout,*)' nitergrot = ', nitergrot
+     WRITE(lunout,*)' niterh = ', niterh
+     WRITE(lunout,*)' tetagdiv = ', tetagdiv
+     WRITE(lunout,*)' tetagrot = ', tetagrot
+     WRITE(lunout,*)' tetatemp = ', tetatemp
+     WRITE(lunout,*)' coefdis = ', coefdis
+     WRITE(lunout,*)' purmats = ', purmats
+     WRITE(lunout,*)' read_start = ', read_start
+     WRITE(lunout,*)' iflag_phys = ', iflag_phys
+     WRITE(lunout,*)' iphysiq = ', iphysiq
+     WRITE(lunout,*)' clon = ', clon
+     WRITE(lunout,*)' clat = ', clat
+     WRITE(lunout,*)' grossismx = ', grossismx
+     WRITE(lunout,*)' grossismy = ', grossismy
+     WRITE(lunout,*)' fxyhypb = ', fxyhypb
+     WRITE(lunout,*)' dzoomx = ', dzoomx
+     WRITE(lunout,*)' dzoomy = ', dzoomy
+     WRITE(lunout,*)' taux = ', taux
+     WRITE(lunout,*)' tauy = ', tauy
+     WRITE(lunout,*)' offline = ', offline
+     WRITE(lunout,*)' type_trac = ', type_trac
+     WRITE(lunout,*)' ok_dynzon = ', ok_dynzon
+     WRITE(lunout,*)' ok_dyn_ins = ', ok_dyn_ins
+     WRITE(lunout,*)' ok_dyn_ave = ', ok_dyn_ave
+     WRITE(lunout,*)' ok_dyn_xios = ', ok_dyn_xios
+     WRITE(lunout,*)' use_filtre_fft = ', use_filtre_fft
+     WRITE(lunout,*)' use_mpi_alloc = ', use_mpi_alloc
+     WRITE(lunout,*)' ok_strato = ', ok_strato
+     WRITE(lunout,*)' ok_gradsfile = ', ok_gradsfile
+     WRITE(lunout,*)' ok_limit = ', ok_limit
+     WRITE(lunout,*)' ok_etat0 = ', ok_etat0
+     WRITE(lunout,*)' ok_guide = ', ok_guide
+     WRITE(lunout,*)' read_orop = ', read_orop
   ENDIF test_etatinit
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covcont_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covcont_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covcont_loc.f90	(revision 5116)
@@ -33,10 +33,10 @@
   ijev=ij_end+iip1
 
-  if (pole_nord) then
+  if (pole_nord) THEN
     ijbu=ij_begin+iip1
     ijbv=ij_begin
   endif
 
-  if (pole_sud) then
+  if (pole_sud) THEN
     ijeu=ij_end-iip1
     ijev=ij_end-iip1
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covnat_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covnat_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covnat_loc.f90	(revision 5116)
@@ -34,6 +34,5 @@
   ije=ij_end
 
-  if (pole_nord) then
-
+  if (pole_nord) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l = 1,klevel
@@ -45,5 +44,5 @@
   endif
 
-  if (pole_sud) then
+  if (pole_sud) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l = 1,klevel
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dissip_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dissip_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dissip_loc.f90	(revision 5116)
@@ -58,5 +58,5 @@
 
   REAL :: SSUM
-  integer :: ijb, ije
+  INTEGER :: ijb, ije
 
   LOGICAl, SAVE :: first = .TRUE.
@@ -125,5 +125,5 @@
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
   DO l = 1, llm
-    if (pole_nord) then
+    if (pole_nord) THEN
       DO ij = 1, iip1
         gdx(ij, l) = 0.
@@ -131,5 +131,5 @@
     endif
 
-    if (pole_sud) then
+    if (pole_sud) THEN
       DO ij = 1, iip1
         gdx(ij + ip1jm, l) = 0.
@@ -171,5 +171,5 @@
   DO l = 1, llm
 
-    if (pole_nord) then
+    if (pole_nord) THEN
       DO ij = 1, iip1
         grx(ij, l) = 0.
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_gam_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_gam_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_gam_loc.f90	(revision 5116)
@@ -48,5 +48,5 @@
   ije=ij_end
   if (pole_nord) ijb=ij_begin+iip1
-  if(pole_sud)  ije=ij_end-iip1
+  IF(pole_sud)  ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -70,5 +70,5 @@
   ! ....  calcul  aux poles  .....
   !
-   if (pole_nord) then
+   if (pole_nord) THEN
       DO  ij  = 1,iim
        aiy1(ij) =    cuvscvgam(    ij       ) * y(     ij     , l )
@@ -81,5 +81,5 @@
    endif
 
-    if (pole_sud) then
+    if (pole_sud) THEN
       DO  ij  = 1,iim
        aiy2(ij) =    cuvscvgam( ij+ ip1jmi1 ) * y( ij+ ip1jmi1, l )
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_p.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_p.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_p.f90	(revision 5116)
@@ -44,5 +44,5 @@
   ije=ij_end
   if (pole_nord) ijb=ij_begin+iip1
-  if(pole_sud)  ije=ij_end-iip1
+  IF(pole_sud)  ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -65,5 +65,5 @@
   ! ....  calcul  aux poles  .....
   !
-    if (pole_nord) then
+    if (pole_nord) THEN
       DO  ij  = 1,iim
        aiy1(ij) =    cuvsurcv(    ij       ) * y(     ij     , l )
@@ -76,5 +76,5 @@
     endif
 
-   if (pole_sud) then
+   if (pole_sud) THEN
       DO  ij  = 1,iim
        aiy2(ij) =    cuvsurcv( ij+ ip1jmi1 ) * y( ij+ ip1jmi1, l )
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/divergf_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/divergf_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/divergf_loc.f90	(revision 5116)
@@ -46,5 +46,5 @@
   ije=ij_end
   if (pole_nord) ijb=ij_begin+iip1
-  if(pole_sud)  ije=ij_end-iip1
+  IF(pole_sud)  ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -68,6 +68,5 @@
   ! ....  calcul  aux poles  .....
   !
-    if (pole_nord) then
-
+    if (pole_nord) THEN
       DO  ij  = 1,iim
        aiy1(ij) =    cuvsurcv(    ij       ) * y(     ij     , l )
@@ -82,6 +81,5 @@
     endif
 
-    if (pole_sud) then
-
+    if (pole_sud) THEN
       DO  ij  = 1,iim
        aiy2(ij) =    cuvsurcv( ij+ ip1jmi1 ) * y( ij+ ip1jmi1, l )
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dteta1_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dteta1_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dteta1_loc.f90	(revision 5116)
@@ -66,5 +66,5 @@
   END DO
 
-   if (.not. pole_sud) then
+   if (.not. pole_sud) THEN
       hbxu(ije+1:ije+iip1,l) = 0
       hbyv(ije+1:ije+iip1,l) = 0
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90	(revision 5116)
@@ -182,8 +182,8 @@
       iqParent = tracers(iq)%iqParent
       IF(tracers(iq)%iso_iZone == 0) THEN
-         if (tnat1) then
+         if (tnat1) THEN
                  tnat=1.0
                  alpha_ideal=1.0
-                 write(*,*) 'attention dans dynetat0: les alpha_ideal sont a 1'
+                 WRITE(*,*) 'attention dans dynetat0: les alpha_ideal sont a 1'
          else
           IF(getKey('tnat', tnat, isoName(iName)) .OR. getKey('alpha', alpha_ideal, isoName(iName))) &
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 5116)
@@ -58,17 +58,17 @@
     logical, save :: firstcall = .TRUE.
     !$OMP THREADPRIVATE(firstcall)
-    character(len = *), parameter :: modname = "exner_hyb_loc"
+    CHARACTER(LEN = *), parameter :: modname = "exner_hyb_loc"
 
     !$OMP BARRIER
 
     ! Sanity check
-    if (firstcall) then
+    if (firstcall) THEN
       ! sanity checks for Shallow Water case (1 vertical layer)
-      if (llm==1) then
-        if (kappa/=1) then
+      if (llm==1) THEN
+        if (kappa/=1) THEN
           CALL abort_gcm(modname, &
                   "kappa!=1 , but running in Shallow Water mode!!", 42)
         endif
-        if (cpp/=r) then
+        if (cpp/=r) THEN
           CALL abort_gcm(modname, &
                   "cpp!=r , but running in Shallow Water mode!!", 42)
@@ -82,6 +82,5 @@
 
     ! Specific behaviour for Shallow Water (1 vertical layer) case:
-    if (llm==1) then
-
+    if (llm==1) THEN
       ! Compute pks(:),pk(:),pkf(:)
       ijb = ij_begin
@@ -96,5 +95,5 @@
 
       !$OMP BARRIER
-      if (present(pkf)) then
+      if (present(pkf)) THEN
         jjb = jj_begin
         jje = jj_end
@@ -104,5 +103,5 @@
 
       ! our work is done, exit routine
-      return
+      RETURN
     endif ! of if (llm.eq.1)
 
@@ -170,5 +169,5 @@
     ENDDO
 
-    if (present(pkf)) then
+    if (present(pkf)) THEN
       !    calcul de pkf
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 5116)
@@ -53,15 +53,15 @@
     logical,save :: firstcall=.TRUE.
     !$OMP THREADPRIVATE(firstcall) 
-    character(len=*),parameter :: modname="exner_milieu_loc"
+    CHARACTER(LEN=*),parameter :: modname="exner_milieu_loc"
 
     ! Sanity check
-    if (firstcall) then
+    if (firstcall) THEN
        ! sanity checks for Shallow Water case (1 vertical layer)
-       if (llm==1) then
-          if (kappa/=1) then
+       if (llm==1) THEN
+          if (kappa/=1) THEN
              CALL abort_gcm(modname, &
                   "kappa!=1 , but running in Shallow Water mode!!",42)
           endif
-          if (cpp/=r) then
+          if (cpp/=r) THEN
              CALL abort_gcm(modname, &
                   "cpp!=r , but running in Shallow Water mode!!",42)
@@ -75,6 +75,5 @@
 
     ! Specific behaviour for Shallow Water (1 vertical layer) case:
-    if (llm==1) then
-
+    if (llm==1) THEN
        ! Compute pks(:),pk(:),pkf(:)
        ijb=ij_begin
@@ -89,5 +88,5 @@
 
        !$OMP BARRIER
-       if (present(pkf)) then
+       if (present(pkf)) THEN
           jjb=jj_begin
           jje=jj_end
@@ -97,5 +96,5 @@
 
        ! our work is done, exit routine
-       return
+       RETURN
     endif ! of if (llm.eq.1)
 
@@ -141,5 +140,5 @@
     !$OMP ENDDO NOWAIT        
 
-    if (present(pkf)) then
+    if (present(pkf)) THEN
        !    calcul de pkf
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.f90	(revision 5116)
@@ -44,5 +44,5 @@
 
 
-  !write(*,*) 'caladvtrac 58: entree'
+  !WRITE(*,*) 'caladvtrac 58: entree'
   ijbu = ij_begin
   ijeu = ij_end
@@ -99,5 +99,5 @@
 
   IF (pasflx==(iphysiq * istphy)) THEN
-    !write(*,*) 'caladvtrac 133'
+    !WRITE(*,*) 'caladvtrac 133'
     !$OMP MASTER
     CALL suspend_timer(timer_caldyn)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.f90	(revision 5116)
@@ -45,5 +45,5 @@
   CHARACTER(len=80) :: abort_message
 !$OMP THREADPRIVATE(firstcall,friction_type)
-  integer :: jjb,jje
+  INTEGER :: jjb,jje
 
 !$OMP SINGLE
@@ -51,7 +51,7 @@
     ! set friction type
     CALL getin("friction_type",friction_type)
-    if ((friction_type<0).or.(friction_type>1)) then
+    if ((friction_type<0).or.(friction_type>1)) THEN
       abort_message="wrong friction type"
-      write(lunout,*)'Friction: wrong friction type',friction_type
+      WRITE(lunout,*)'Friction: wrong friction type',friction_type
       CALL abort_gcm(modname,abort_message,42)
     endif
@@ -99,6 +99,5 @@
   !   les deux composantes du vent au pole sont obtenues comme
   !   premiers modes de fourier de v pres du pole
-  if (pole_nord) then
-
+  if (pole_nord) THEN
     upoln=0.
     vpoln=0.
@@ -119,6 +118,5 @@
   endif
 
-  if (pole_sud) then
-
+  if (pole_sud) THEN
     upols=0.
     vpols=0.
@@ -167,5 +165,5 @@
   endif ! of if (friction_type.eq.0)
 
-  if (friction_type==1) then
+  if (friction_type==1) THEN
    ! for ucov()
     jjb=jj_begin
